For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList agents
      • POSTCreate agent
      • POSTFetch external agent card
      • POSTRefresh cached agent card
      • GETGet agent details
      • PUTUpdate agent
      • DELDelete agent
      • GETExport agent for runtime
      • GETList agent executions
      • GETGet execution detail
      • GETList tool calls
      • GETGet tool call detail
      • POSTPublish agent
      • POSTAdd capability to agent
      • DELRemove capability from agent
Dashboard
LogoLogo
Runtype APIAgents

Update agent

PUT
/v1/agents/:id
PUT
/v1/agents/:id
$curl -X PUT https://api.runtype.com/v1/agents/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "string",
3 "userId": "string",
4 "organizationId": "string",
5 "name": "string",
6 "description": "string",
7 "icon": "string",
8 "primaryFlowId": "string",
9 "agentType": "string",
10 "config": {},
11 "externalConfig": {},
12 "claudeManagedConfig": {},
13 "healthStatus": "string",
14 "lastHealthCheckAt": "string",
15 "publishedVersionId": "string",
16 "status": "string",
17 "createdAt": "string",
18 "updatedAt": "string",
19 "draftVersionId": "string",
20 "dashboardUrl": "string",
21 "_warnings": [
22 "string"
23 ]
24}

Update an existing agent. Supports partial updates — only provided fields are changed. Config updates are deep-merged.

Was this page helpful?
Previous

Delete agent

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects an object.
namestringOptional>=1 character
descriptionstringOptional
iconstringOptional<=50 characters
agentTypeenumOptional
Allowed values:
primaryFlowIdstring or nullOptional
externalConfigobject or nullOptional
configobjectOptional
maxTurnsintegerOptional1-100
claudeManagedConfigobjectOptional

Response

Agent updated
idstring
userIdstring
organizationIdstring or null
namestring
descriptionstring or null
iconstring or null
primaryFlowIdstring or null
agentTypestring
configmap from strings to any or null
externalConfigmap from strings to any or null
claudeManagedConfigmap from strings to any or null
healthStatusstring or null
lastHealthCheckAtstring or null
publishedVersionIdstring or null
statusstring
createdAtstring
updatedAtstring
draftVersionIdstring or null
dashboardUrlstring
_warningslist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error